<?php

  $prendilo = "";
    
  $kp_alb = htmlentities ( $_GET['album'] );

  if ( isset ( $_GET['step'] ) && !empty ( $_GET['step'] ) ) {
    
    $marp = htmlentities ( $_GET['step'] );
    
    $present = strpos ( $marp, "read" );
    
    if ( $present === FALSE ) {

      $prendilo = "Errore!";

      $site_text = $voice_site->getError ( 2 );
      
    } else {
    
      if ( isset ( $_GET['tpuls'] ) && !empty ( $_GET['tpuls'] ) && is_numeric ( $_GET['tpuls'] ) ) {
    
        $amar = explode ( "read", $marp );
      
        $fcifr = $amar[0] . $amar[1];
        
        $conto = strlen ( $fcifr );

        if ( $conto == $_GET['tpuls'] ) {

          $spal = base64_decode ( $fcifr );
          
          $prendilo = $spal;

          include("./pages/content/visual.php");
          
        } else {

          $prendilo = "Errore!";

          $site_text = $voice_site->getError ( 3 );
      
        }
        
      } else {

        $prendilo = "Errore!";

        $site_text = $voice_site->getError ( 2 );
      
      }
      
    }
    
  } else {

    $prendilo = "Errore!";

    $site_text = $voice_site->getError ( 1 );
    
  }

  $segugio = " &raquo; " . str_replace ( "/", " &raquo; ", $prendilo );